com.google.gwt.aria.client

## Interface SectionRole

- All Superinterfaces:
    Role, StructureRole
  All Known Subinterfaces:
    AlertdialogRole, AlertRole, ApplicationRole, ArticleRole, BannerRole, ColumnheaderRole, ComboboxRole, ComplementaryRole, ContentinfoRole, DefinitionRole, DirectoryRole, FormRole, GridcellRole, GridRole, GroupRole, ImgRole, LandmarkRole, ListboxRole, ListitemRole, ListRole, LogRole, MainRole, MarqueeRole, MathRole, MenubarRole, MenuRole, NavigationRole, NoteRole, RadiogroupRole, RegionRole, RowgroupRole, RowheaderRole, RowRole, SearchRole, SelectRole, StatusRole, TablistRole, TabpanelRole, TimerRole, ToolbarRole, TooltipRole, TreegridRole, TreeitemRole, TreeRole
  All Known Implementing Classes:
    AlertdialogRoleImpl, AlertRoleImpl, ApplicationRoleImpl, ArticleRoleImpl, BannerRoleImpl, ColumnheaderRoleImpl, ComboboxRoleImpl, ComplementaryRoleImpl, ContentinfoRoleImpl, DefinitionRoleImpl, DirectoryRoleImpl, FormRoleImpl, GridcellRoleImpl, GridRoleImpl, GroupRoleImpl, ImgRoleImpl, ListboxRoleImpl, ListitemRoleImpl, ListRoleImpl, LogRoleImpl, MainRoleImpl, MarqueeRoleImpl, MathRoleImpl, MenubarRoleImpl, MenuRoleImpl, NavigationRoleImpl, NoteRoleImpl, RadiogroupRoleImpl, RegionRoleImpl, RowgroupRoleImpl, RowheaderRoleImpl, RowRoleImpl, SearchRoleImpl, StatusRoleImpl, TablistRoleImpl, TabpanelRoleImpl, TimerRoleImpl, ToolbarRoleImpl, TooltipRoleImpl, TreegridRoleImpl, TreeitemRoleImpl, TreeRoleImpl

      public interface SectionRole
      extends StructureRole

  A type that represents the section role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
    `void` | `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaExpandedState

          java.lang.String getAriaExpandedState(Element element)

      Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaExpandedState

          void removeAriaExpandedState(Element element)

      Removes the aria-expanded attribute from the `element`.

    - #### setAriaExpandedState

          void setAriaExpandedState(Element element,
                                    ExpandedValue value)

      Sets the aria-expanded attribute for the `element` to the given `value`.